<?php
use Bitrix\Main\Localization\Loc;
Loc::loadMessages(__FILE__);
// Обработчик установки модуля
class main_project extends CModule
{
    var $MODULE_ID = 'main.project';
    var $MODULE_VERSION;
    var $MODULE_VERSION_DATE;
    var $MODULE_NAME;
    var $MODULE_DESCRIPTION;
    var $PARTNER_NAME;
    var $PARTNER_URI;

    function __construct()
    {
        $arModuleVersion = array();
        include(dirname(__FILE__).'/version.php');

        $this->MODULE_VERSION = $arModuleVersion['VERSION'];
        $this->MODULE_VERSION_DATE = $arModuleVersion['VERSION_DATE'];
        // название итд сгенерировано из названия модуля
        $this->MODULE_NAME = 'Глобальный модуль проекта';
        $this->MODULE_DESCRIPTION = 'Глобальный, не тиражный модуль - только для этого проекта';
        $this->PARTNER_NAME = 'Михаил Базаров';
        $this->PARTNER_URI = 'https://bazarow.ru';
    }


    function DoInstall()
    {
        global $APPLICATION;
        RegisterModule($this->MODULE_ID);
    }

    function DoUninstall()
    {
        global $APPLICATION;
        UnRegisterModule($this->MODULE_ID);
    }
}
